org.eclipse.ease.ui.scripts.expressions

## Interface IExpressionDefinition

All Known Subinterfaces:
  ICompositeExpressionDefinition

All Known Implementing Classes:
  AbstractCompositeExpressionDefinition, AbstractExpressionDefinition, AdaptExpressionDefinition, AndExpressionDefinition, CountExpressionDefinition, EqualsExpressionDefinition, InstanceOfExpressionDefinition, IterateExpressionDefinition, NotExpressionDefinition, OrExpressionDefinition, ReferenceExpressionDefinition, ResolveExpressionDefinition, RootExpressionDefinition, SystemTestExpressionDefinition, TestExpressionDefinition, WithExpressionDefinition

    public interface IExpressionDefinition

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()`
`ICompositeExpressionDefinition` `getParent()`
`boolean` `hasParameter(java.lang.String key)`
`java.lang.String` `serialize()`
`void` `setParameter(java.lang.String key, java.lang.String value)`
`void` `setParameterValues(java.lang.String key, java.lang.String[] allowedValues)`
`void` `setParent(ICompositeExpressionDefinition parent)`
`Expression` `toCoreExpression()`

### Method Detail

#### setParent

    void setParent(ICompositeExpressionDefinition parent)

#### serialize

    java.lang.String serialize()

#### toCoreExpression

    Expression toCoreExpression()

#### getParent

    ICompositeExpressionDefinition getParent()

#### setParameter

    void setParameter(java.lang.String key,
                      java.lang.String value)

#### setParameterValues

    void setParameterValues(java.lang.String key,
                            java.lang.String[] allowedValues)

#### hasParameter

    boolean hasParameter(java.lang.String key)

#### getDescription

    java.lang.String getDescription()